# HumanoidStateType

## Overview

HumanoidStateType는 Humanoid 객체가 가질 수 있는 가능한 상태 목록을 정의하는 Enum입니다. 각 상태는 게임 내 휴머노이드 캐릭터의 행동과 상호작용을 제어합니다.

Humanoid:GetState()와 Humanoid:ChangeState() 메서드에서 사용됩니다.

## Items

| Name              | Value | Description                                                                                               |
| ----------------- | ----- | --------------------------------------------------------------------------------------------------------- |
| FallingDown       | 0     | 휴머노이드가 넘어진 상태입니다. 잠시 후 자동으로 일어나려고 시도합니다.                                                                  |
| Ragdoll           | 1     | 휴머노이드가 래그돌 상태로 전환된 상태입니다. 이 상태는 Humanoid:ChangeState()를 사용하여 수동으로 설정하고 해제해야 합니다.                          |
| GettingUp         | 2     | 휴머노이드가 FallingDown 또는 Ragdoll 상태에서 다시 일어서고 있는 상태입니다.                                                      |
| Jumping           | 3     | 휴머노이드가 점프한 직후의 짧은 상태입니다. 일반적으로 공중에 있으면 Freefall, 착지하면 Landed 상태로 전환됩니다.                                   |
| Swimming          | 4     | 휴머노이드가 수영 중인 상태입니다.                                                                                       |
| Freefall          | 5     | 휴머노이드가 공중에서 자유 낙하 중인 상태입니다. 점프 후 체공 중이거나 높은 곳에서 떨어질 때 진입합니다.                                              |
| Flying            | 6     | 휴머노이드가 비행 중인 상태입니다. 이 상태에서는 Humanoid.PlatformStand 속성과 마찬가지로 휴머노이드에 애니메이션이 적용되지 않으며, 플레이어가 비행하는 동안 지속됩니다. |
| Landed            | 7     | 휴머노이드가 착지한 상태입니다. 이 상태는 짧게만 지속됩니다.                                                                        |
| Running           | 8     | 휴머노이드가 지면 위에서 이동 중인 상태입니다.                                                                                |
| RunningNoPhysics  | 10    | (Deprecated) 휴머노이드가 주변에 다른 물리 객체가 없는 상태로 이동 중인 상태입니다.                                                     |
| StrafingNoPhysics | 11    | 기본 휴머노이드에서는 현재 사용되지 않는 상태입니다. Humanoid:ChangeState()로는 설정할 수 없습니다.                                        |
| Climbing          | 12    | 휴머노이드가 등반 중인 상태입니다. 예를 들어, 등반 가능한 객체를 오르고 있는 상태입니다.                                                       |
| Seated            | 13    | 휴머노이드가 Seat이나 VehicleSeat에 앉아 있는 상태입니다. Humanoid.Sit 속성을 통해 확인할 수 있습니다.                                   |
| PlatformStanding  | 14    | 휴머노이드가 플랫폼 스탠딩 상태인 상태입니다. Humanoid.PlatformStand 속성을 통해 확인할 수 있습니다.                                       |
| Dead              | 15    | 휴머노이드가 사망한 상태입니다. 이 상태로 변경되면 휴머노이드는 사망합니다.                                                                |
| Physics           | 16    | 휴머노이드가 커스텀 물리 상태로 전환된 상태입니다. 이 상태는 Humanoid:ChangeState()를 통해 수동으로 설정하고 해제해야 합니다.                         |
| None              | 18    | 상태가 지정되지 않은 기본값입니다.                                                                                       |

## See also

{% content-ref url="/pages/tGT9IdiJo5SczI6Va0ej" %}
[Humanoid](/korean/development/api-reference/classes/humanoid.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/humanoidstatetype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
